OS4 DepotLogo by mason 
(anonymous IP: 3.234.143.26,1551) 
 HomeRecentStatsSearchSubmitUploadsMirrorsContactInfoDisclaimerConfigAdmin
 Menu

 Features
   Crashlogs
   Bug tracker
   Locale browser
 

 Categories

   o Audio (331)
   o Datatype (50)
   o Demo (188)
   o Development (555)
   o Document (21)
   o Driver (90)
   o Emulation (143)
   o Game (903)
   o Graphics (477)
   o Library (103)
   o Network (212)
   o Office (60)
   o Utility (837)
   o Video (64)

Total files: 4034

Full index file
Recent index file

 Links

  Amigans.net
  OpenAmiga
  Aminet
  IntuitionBase


Support the site


 File comments for:  Development » Debug » db101.lha

Db101

Description: First class debugger
Download: db101.lha
Version: 1.1
Date: 28 Jun 2013
Category: development/debug
FileID: 8022
RSS Feed url: http://www.os4depot.net/modules/comments/rssfeed.php?file=development/debug/db101.lha

[Back to readme page]   [Add Comment]   [Refresh page]

Comment by: Raziel (79.232.13.233)At: 31 May 2014, 10:58File version: 1.1
@Hypex

iirc you only need -gstabs

using -g or -ggdb will change the output and not work correctly under AmigaOS4
(I can be wrong though)
 
 
Comment by: Hypex (210.4.232.70)At: 27 May 2014, 14:36File version: 1.1
Would like to know how to compile example code? Tried compiling it with -g -ggdb -gstabs and my own code as well but I get no symbols showing up as local or global. Yet the tye example executable has them! Huh? :-?
 
 
Comment by: AlexC (76.168.69.111)At: 19 Dec 2012, 13:23File version: 1.0.0
Very nice!
The included example code made it easy to understand how it works before I even read the guide, unlike gdb which I still don't know how to use even after reading the documentation several times :-P
Well done.
 
 
Comment by: kas1e (95.54.93.116)At: 24 Oct 2010, 15:11File version: 0.9
@BlackBird
You also (for now) can you elf.library.kmod from aos4.1 update 1 (if i remember right). Other programms can works wrong with that , but db101 will works (tested myself).
 
 
Comment by: Blackbird (92.202.84.150)At: 24 Oct 2010, 14:50File version: 0.9
[quote]
Needs at least elf.library 53.13 (currently beta) to work.
[quote]

fine, fine, but OS4.1.2 has no V53.13....

I hope a update is very soon avalable to use this Peace of Software...

With V53.12 (Os4.1 upd 2) it crash anny time by load a exe...
 
 

Copyright © 2004-2020 by Björn Hagström All Rights Reserved